Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.channel
Interface ServerChannel

All Superinterfaces:
  Channel, Comparable<Channel>

All Known Subinterfaces:
  LocalServerChannel, ServerSocketChannel

All Known Implementing Classes:
  AbstractServerChannel

    public interface ServerChannel

extends Channel

A `Channel` that accepts an incoming connection attempt and creates its child `Channel`s by accepting them. `ServerSocketChannel` is a good example.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Field Summary

Fields inherited from interface org.jboss.netty.channel.Channel
`OP_NONE, OP_READ, OP_READ_WRITE, OP_WRITE`

Method Summary

Methods inherited from interface org.jboss.netty.channel.Channel
`bind, close, connect, disconnect, getCloseFuture, getConfig, getFactory, getId, getInterestOps, getLocalAddress, getParent, getPipeline, getRemoteAddress, isBound, isConnected, isOpen, isReadable, isWritable, setInterestOps, setReadable, unbind, write, write`

Methods inherited from interface java.lang.Comparable
`compareTo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.